org.gnome.gtk

## Class Justification

- Object
- - org.freedesktop.bindings.Constant
  - - org.gnome.gtk.Justification

-     public final class Justification
      extends org.freedesktop.bindings.Constant

  Constants that represent the justification of text. Most notably, this is used by Label; see its `setJustify()` as well as TextView's `setJustify()` and TextTag's `setJustify()`.
  Since:
    4.0.4
  Author:
    Nat Pryce, Andrew Cowie

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Justification` | `CENTER` Indicate text should be justified to the center of the Label.
    `static Justification` | `FILL` Indicate text should be distributed evenly across the width of Label.
    `static Justification` | `LEFT` Indicate text should justify to the left edge of the Label.
    `static Justification` | `RIGHT` Indicate text should be justified to the right edge of the Label.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CENTER

          public static final Justification CENTER

      Indicate text should be justified to the center of the Label.

    - #### FILL

          public static final Justification FILL

      Indicate text should be distributed evenly across the width of Label. This is sometimes known as "proper" or "even" justification.

    - #### LEFT

          public static final Justification LEFT

      Indicate text should justify to the left edge of the Label. This is the default with newly created Labels.

    - #### RIGHT

          public static final Justification RIGHT

      Indicate text should be justified to the right edge of the Label.